## AgsFileDialog

AgsFileDialog — a file dialog widget

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_file_dialog_test_flags ()
void | ags_file_dialog_set_flags ()
void | ags_file_dialog_unset_flags ()
AgsFileWidget * | ags_file_dialog_get_file_widget ()
GtkLinkButton * | ags_file_dialog_get_download_link ()
void | ags_file_dialog_response ()
AgsFileDialog * | ags_file_dialog_new ()

## Types and Values

enum | AgsFileDialogFlags

## Includes

    #include <ags/widget/ags_file_dialog.h>

## Description

AgsFileDialog is a dialog widget to open or save files.

## Functions

### ags_file_dialog_test_flags ()

    gboolean
    ags_file_dialog_test_flags (AgsFileDialog *file_dialog,
                                guint flags);

Test `flags` of `file_dialog` .

#### Parameters

file_dialog | the AgsFileDialog |
flags | the flags |

#### Returns

`TRUE` if flags set, otherwise `FALSE`

Since: 7.2.8

### ags_file_dialog_set_flags ()

    void
    ags_file_dialog_set_flags (AgsFileDialog *file_dialog,
                               guint flags);

Set `flags` of `file_dialog` .

#### Parameters

file_dialog | the AgsFileDialog |
flags | the flags |

Since: 7.2.8

### ags_file_dialog_unset_flags ()

    void
    ags_file_dialog_unset_flags (AgsFileDialog *file_dialog,
                                 guint flags);

Set `flags` of `file_dialog` .

#### Parameters

file_dialog | the AgsFileDialog |
flags | the flags |

Since: 7.2.8

### ags_file_dialog_get_file_widget ()

    AgsFileWidget *
    ags_file_dialog_get_file_widget (AgsFileDialog *file_dialog);

Get widget of `file_dialog` .

#### Parameters

file_dialog | the AgsFileDialog |

#### Returns

the AgsFileWidget.

[transfer none]

Since: 6.6.0

### ags_file_dialog_get_download_link ()

    GtkLinkButton *
    ags_file_dialog_get_download_link (AgsFileDialog *file_dialog);

Get download link of `file_dialog` .

#### Parameters

file_dialog | the AgsFileDialog |

#### Returns

the GtkLinkButton or `NULL`.

[transfer none]

Since: 7.2.8

### ags_file_dialog_response ()

    void
    ags_file_dialog_response (AgsFileDialog *file_dialog,
                              gint response_id);

Response `file_dialog` due to user action.

#### Parameters

file_dialog | the AgsFileDialog |
response_id | the response id |

Since: 6.6.0

### ags_file_dialog_new ()

    AgsFileDialog *
    ags_file_dialog_new (GtkWidget *transient_for,
                         gchar *title);

Creates a new instance of AgsFileDialog.

#### Parameters

transient_for | the GtkWidget transient-for |
title | the window title |

#### Returns

the new AgsFileDialog

Since: 6.6.0

## Types and Values

### enum AgsFileDialogFlags

#### Members

AGS_FILE_DIALOG_SHOW_DOWNLOAD_LINK |  |